<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Lab 4 - Exporting and importing diagrams</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/serif.css" id="theme">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/zenburn.css" id="highlight-theme">
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<span class="menu-title" style="display: none">Lab 4 - Exporting and importing diagrams</span>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting and importing pre-work</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						This lab assumes you've completed the previous lab 3, where a logical diagram was created.
						This logical diagram will be used as example for exporting the following:<br />
						<br />
						<ul>
							<li>individual diagram components</li>
							<li>entire diagrams</li>
						</ul>
						<br />
						<br />
						The target environment for importing components will be an example Google Slides document, but
						they can be imported in to almost any document or project type.
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting diagrams - starting point</h2>
					</div>
					<div style="width: 1056px; height: 50px; font-size: xx-large; text-align: left">
						We start with lab 3 you'll have a logical diagram as shown:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab3-results.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - application client</h2>
					</div>
					<div style="width: 1056px; height: 220px; font-size: xx-large; text-align: left">
						Exporting single components can be useful when you want to use them for designing architectures,
						for example using Google Slide connectors, so that others can manipulate your architecture.
						Later we'll show you how to export a static version of a complete diagram. Let's start by
						exporting just the <i>Application client</i> from within the <i>Mobile client</i> tier one of
						our logical diagram:
					</div>
					<div style="width: 1056px; height: 200px;">
						<img src="images/rhte-lab4-mobile-client.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - select component</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						To export a single component, follow these steps:<br />
						<ul>
							<li>select the <i>Application Client</i></li>
							<li>note: a blue box outlines selected components in diagram</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 200px;">
						<img src="images/rhte-lab4-mobile-client-1.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - choose format</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Now use menus to select the export format:<br />
						<ul>
							<li>navigate menus: <code>FILE -> EXPORT AS -> PNG</code></li>
							<li>there are many other export formats available, but we'll just showcase
								exporting <code>PNG</code> image format</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-mobile-client-2.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - set export properties</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						You'll see an <code>Image</code> pop-up, fill out as follows:<br />
						<ul>
							<li>Zoom: <code>300%</code> and Borderwidth: <code>1</code> (or more)</li>
							<li>Check box: <code>Selection Only</code> and <code>Crop</code></li>
							<li>uncheck rest of boxes before clicking on <code>Export</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-mobile-client-3.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - saving export</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Now another pop-up appears with options for saving the export:<br />
						<ul>
							<li>set Filename: <code>application_client.png</code></li>
							<li>if you click on <code>Open in New Window</code> you'll see the export results on a
								new tab in your browser</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-mobile-client-4.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - view in new window</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						When opening in a new window you see a single image of the component selected:
					</div>
					<div style="width: 1056px; height: 200px;">
						<img src="images/rhte-lab4-mobile-client-5.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting component - downloading component</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						If you click on <code>Download</code> in previous pop-up:<br />
						<ul>
							<li>a new pop-up appears in your browser to save the file on your computer</li>
							<li>note: if you need to, go back and export the component again to use
								<code>Download</code> button</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-mobile-client-4.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Importing component - into a presentation</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Importing to Google Slides as follows, in your Google Slides, import image in menus:<br />
						<ul>

							<li><code>INSERT -> IMAGE -> UPLOAD FROM COMPUTER</code></li>
							<li>select file to insert: <code>application_client.png</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-mobile-client-6.png">
						<img src="images/rhte-lab4-mobile-client-7.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Importing component - import successful</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Initial file imported to slide might be a bit large, this is for high resolution
						when resizing:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab4-mobile-client-8.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Importing component - resizing images</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Resize imported component as needed in your slide:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab4-mobile-client-9.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting diagrams - entire diagram</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: x-large; text-align: left">
						Exporting an entire diagram gives you a static version of your architecture diagram.
						When you want to ensure that users of your architecture can't modify anything. We'll
						be exporting the entire <i>Logical diagram</i> you created in lab 3.
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-results.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting diagrams - choose format </h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Ensure no component(s) are pre-selected in logical diagram and use menus to save
						as an image file by selecting:<br />
						<ul>
							<li><code>1) File -> 2) Export as -> 3) PNG</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab4-export-png.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting diagrams - set export properties</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Set the image parameters:<br />
						<ul>
							<li>Zoom: <code>300%</code></li>
							<li>Click on <code>Export</code>, note pre-selected checkboxes need adjustment</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-save2e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Exporting diagrams - saving export</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Download the image file as shown:<br />
						<ul>
							<li>Filename: <code>Logical_Diagram.png</code></li>
							<li>Click on <code>Download</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-save-logical.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Importing diagrams - into a presentation</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Importing to Google Slides as follows, in your Google Slides, import image in menus:<br />
						<ul>

							<li><code>INSERT -> IMAGE -> UPLOAD FROM COMPUTER</code></li>
							<li>select file to insert: <code>Logical_Diagram.png</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab4-mobile-client-6.png">
						<img src="images/rhte-lab4-logical-file.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Importing diagrams - import successful</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Initial file imported to slide but needs repositioning:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab4-logical-import-1.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Importing diagrams - resizing images</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Now resized and sent to background of slide:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab4-logical-import-2.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px;">
						<h2 class="r-fit-text">Lab completed - Results</h2>
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab4-logical-import-2.png">
					</div>
				</section>

				<section data-background="images/questions.png">
					<span class="menu-title" style="display: none">References</span>
					<div style="width: 1056px; height: 200px;">
						<img height="150" width="100%" src="images/references.jpg">
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						<ul>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-workshops/#/2" target="_blank">Portfolio Architecture Workshops</a></li>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-tooling" target="_blank">Hosted diagram tool (open with browser)</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-examples" target="_blank">Example diagrams repository</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-workshops" target="_blank">Workshop project repository</a></li>
							<li><a href="http://bit.ly/portfolio-architecture-team" target="_blank">Portfolio Architecture Team Repository (Red Hat internal)</a></li>
						</ul>
					</div>
				</section>

				<section>
					<span class="menu-title" style="display: none">Questions or feedback?</span>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Contact - are there any questions?</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: x-large; text-align: left">
						Ishu Verma<br/>
						Technical Marketing Manager Emerging Technologies<br/>
						Contact: <a href="https://twitter.com/IoT_Ishu" target="_blank">@IoT_Ishu</a>
						<br/><br/>
						Eric D. Schabell<br/>
						Portfolio Architect Director<br/>
						Contact: <a href="http://twitter.com/ericschabell" target="_blank">@ericschabell</a>
						or <a href="http://www.schabell.org" target="_blank">http://schabell.org</a>
						<br/><br/>
						William Henry<br/>
						Senior Distinguished Engineer<br>
						Contact: <a href="http://twitter.com/ipbabble" target="_blank">@ipbabble</a><br/>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px;">
						<h2 class="r-fit-text">Up next in workshop...</h2>
					</div>
					<div style="width: 1056px; height: 200px;">
						<a href="lab05.html" target="_blank">Lab 5 - Creating schematic diagram</a>
					</div>
				</section>
			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script src="plugin/reveal.js-menu/menu.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMenu ],

				// Configure menu options.
				menu: {

					// Specifies which side of the presentation the menu will
					// be shown. Use 'left' or 'right'.
    				side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: '30%',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: false,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					//
					// My custom menu with lab chapters
					// custom: [
					// 	{
					// 		title: 'Lab 1 - Installation',
					// 		icon: '<i class="fa fa-external-link">',
					// 		src: 'lab01.html'
					// 	},
					// 	{
					// 		title: 'Lab 2 - Create new project',
					// 		icon: '<i class="fa fa-info">',
					// 		src: 'lab02.html'
					// 	}
					// ]
					custom: false,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own
					// list of themes or 'themes' is set to 'false' the
					// 'themesPath' option is ignored.
					themesPath: 'dist/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: false,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must
					// be displayed for this to take effect
					openSlideNumber: false,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true,

				}
			});
		</script>
	</body>
</html>
